GET Transaction status

/bridge/tx-status

get

Check the status of a bridging request

Query parameters
bridge_quote_idstringRequired

Unique identifier for the bridging request. This should match the quoteId in the response of /bridge/firm-quote.

Header parameters
api_keystringRequired

The API key that was assigned to you by Native

Responses
chevron-right
200

Successful response containing the status of the bridging request

application/json
tx_statusstring · enumOptional

Status of the bridging transaction. USER_REQUESTED: Requested Firm-Quote but not submitted. USER_COMMITTED: Order inited on source chain. MM_FAILED: Failed to fill order on destination chain. MM_FILLED: Order filled on destination chain. CLAIMED: Order wrapped up on source chain. REFUNDED: Order refunded on source chain.

Possible values:
get
/swap-api-v2/v1/bridge/tx-status
200

Successful response containing the status of the bridging request

Last updated